
import org.junit.Assert;
import org.junit.Test;

public class CurrencyConverterTest {
    @Test
    public void getCurrency1test(){
        CurrencyConverter cc = new CurrencyConverter();
        double actual = cc.getCurrency1("jYen");
        double expected = 115.84;
        Assert.assertEquals(expected, actual,.0001);
    }

    @Test
    public void getCurrency2test(){
        CurrencyConverter cc = new CurrencyConverter();
        double actual = cc.getCurrency2("sDollar");
        double expected = 1.43;
        Assert.assertEquals(expected, actual,.0001);
    }

    @Test
    public void convertTest1(){
        CurrencyConverter cc = new CurrencyConverter();
        double actual = cc.convert("us","jYen",1);
        double expected = 115.84;
        Assert.assertEquals(expected, actual,.0001);
    }

    @Test
    public void convertDollarToEuro(){
        CurrencyConverter cc = new CurrencyConverter();
        double actual = cc.convert("us","eu",1);
        double expected = .94;
        Assert.assertEquals(expected, actual,.0001);
    }

    @Test
    public void convertEuroToDollar(){
        CurrencyConverter cc = new CurrencyConverter();
        double actual = cc.convert("eu","us",1);
        double expected = 1.063829;
        Assert.assertEquals(expected, actual,.0001);
    }

    @Test
    public void convertEuroToBritishPound(){
        CurrencyConverter cc = new CurrencyConverter();
        double actual = cc.convert("eu","bPound",1);
        double expected = .8723404;
        Assert.assertEquals(expected, actual,.0001);
    }

    @Test
    public void convertBritishPoundToIndianRupee(){
        CurrencyConverter cc = new CurrencyConverter();
        double actual = cc.convert("bPound","iRupee",1);
        double expected = 83.31707;
        Assert.assertEquals(expected, actual,.0001);
    } 

    @Test
    public void convertRupeetoCanadian(){
        CurrencyConverter cc = new CurrencyConverter();
        double actual = cc.convert("iRupee","cDollar",1);
        double expected = .01932084;
        Assert.assertEquals(expected, actual,.0001);
    }

    @Test
    public void convertCanadianToSingapore(){
        CurrencyConverter cc = new CurrencyConverter();
        double actual = cc.convert("cDollar","sDollar",1);
        double expected = 1.0833333333;
        Assert.assertEquals(expected, actual,.0001);
    } 

    @Test
    public void convertSingaporeToSwiss(){
        CurrencyConverter cc = new CurrencyConverter();
        double actual = cc.convert("sDollar","sFranc",1);
        double expected = .70629370;
        Assert.assertEquals(expected, actual,.0001);
    }

    @Test
    public void convertSwissToMalaysian(){
        CurrencyConverter cc = new CurrencyConverter();
        double actual = cc.convert("sFranc","mRinggit",1);
        double expected = 4.4257425;
        Assert.assertEquals(expected, actual,.0001);
    }    

    @Test
    public void convertMalaysianToYen(){
        CurrencyConverter cc = new CurrencyConverter();
        double actual = cc.convert("mRinggit","jYen",1);
        double expected = 25.9149888;
        Assert.assertEquals(expected, actual,.0001);
    }

    @Test
    public void convertYenToYuan(){
        CurrencyConverter cc = new CurrencyConverter();
        double actual = cc.convert("jYen","cYuan",1);
        double expected = .05973756;
        Assert.assertEquals(expected, actual,.0001);    
    }}
